Skip to main content
Support - EBSCO Help

Why am I receiving a "Plug-in not found" error when opening a PDF on a Mac using Safari?

This issue is most frequently seen when trying to view a PDF file on a Mac running the Safari 5.1 browser.

This can be corrected by upgrading your browser to Safari 5.1.2. You can upgrade your browser at the following link:

Apple Support